> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tuor.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project

> Rename a project. Change its webhook settings in the Web Console.



## OpenAPI

````yaml /openapi.json put /v1/projects/{project_id}
openapi: 3.1.0
info:
  title: Tuor API
  description: API for storing and managing human review of model traces
  version: 0.1.0
servers:
  - url: https://api.tuor.dev
security:
  - ApiKeyAuth: []
paths:
  /v1/projects/{project_id}:
    put:
      tags:
        - Projects
      summary: Update Project
      description: Rename a project. Change its webhook settings in the Web Console.
      operationId: update_project_v1_projects__project_id__put
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProjectUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Name
          description: Project name
        webhook_url:
          anyOf:
            - type: string
              maxLength: 2048
            - type: 'null'
          title: Webhook Url
          description: >-
            Outbound webhook URL. Send null to clear url, secret, and reset
            active to true.
        webhook_secret:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Webhook Secret
          description: >-
            Plaintext HMAC signing secret, at least 16 characters excluding
            surrounding whitespace. Encrypted server-side; omit to leave
            existing untouched.
        webhook_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Webhook Active
          description: Whether the configured webhook fires on reviews.
      type: object
      title: ProjectUpdate
      description: Fields to change on a project. Omit a field to leave it unchanged.
    ProjectResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        org_id:
          type: string
          title: Org Id
        created_by:
          type: string
          title: Created By
        is_demo:
          type: boolean
          title: Is Demo
          default: false
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
        webhook_active:
          type: boolean
          title: Webhook Active
          default: true
        has_webhook_secret:
          type: boolean
          title: Has Webhook Secret
          default: false
        version:
          type: integer
          title: Version
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        updated_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        deleted_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Deleted By
        restored_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Restored At
        restored_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Restored By
      type: object
      required:
        - id
        - name
        - org_id
        - created_by
        - version
        - created_at
      title: ProjectResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.